---
 ocfs2_controld/ocfs2_controld.h |    7 +++++++
 1 file changed, 7 insertions(+)

Index: ocfs2_controld/ocfs2_controld.h
===================================================================
--- a/ocfs2_controld/ocfs2_controld.h.orig	2008-10-26 18:10:50.000000000 +0100
+++ b/ocfs2_controld/ocfs2_controld.h	2009-03-10 22:22:52.719197000 +0100
@@ -44,12 +44,19 @@ extern void daemon_dump_save(void);
 
 #define log_debug(fmt, args...) \
 do { \
+	syslog(LOG_DEBUG, fmt, ##args); \
 	snprintf(daemon_debug_buf, 1023, "%ld %s@%d: " fmt "\n", \
 		 time(NULL), __FUNCTION__, __LINE__, ##args); \
 	if (daemon_debug_opt) fprintf(stderr, "%s", daemon_debug_buf); \
 	daemon_dump_save(); \
 } while (0)
 
+#define log_info(fmt, args...) \
+do { \
+	log_debug(fmt, ##args); \
+	syslog(LOG_INFO, fmt, ##args); \
+} while (0)
+
 #define log_error(fmt, args...) \
 do { \
 	log_debug(fmt, ##args); \
